#-----------------------------------------------------------------------------
# August 29, 2004, by Ockham
# Make the selected part, and all its children, visible or invisible (toggle)
#-----------------------------------------------------------------------------

import poser

#-----------------------------------------------------------------------------

scene = poser.Scene()

#-----------------------------------------------------------------------------
def SetVisForChildrenOf(ActorArg):
    try:
        for OneChild in ActorArg.Children():
            if OneChild.OnOff(): OneChild.SetOnOff(0)
            else:                OneChild.SetOnOff(1)
            if not SetVisForChildrenOf(OneChild):
                return 0
    except:
        return 0
    return 1

#-----------------------------------------------------------------------------
# Find selected actor.
#-----------------------------------------------------------------------------
BaseActor = scene.CurrentActor()
BaseActor.SetOnOff(1)
OneLayer = BaseActor
while OneLayer:
    OneLayer = SetVisForChildrenOf(OneLayer)
#-----------------------------------------------------------------------------
